/* Generic Styles */

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	line-height: 1.5;
}

*::selection {
	user-select: text;
	background: var(--neutral-20);
	color: var(--neutral-90);
}

html {
	font-size: 62.5%;
	background-color: var(--background-dark);
	font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen', 'Ubuntu',
		'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue', sans-serif;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	scroll-behavior: smooth;
	scroll-padding-top: 20px;
}

body {
	background: var(--background-dark);
	color: white;
}

a,
a:hover,
a:focus,
a:active {
	text-decoration: none;
	color: inherit;
}

main {
	width: 100%;
}

/* Text Styles */
:where(h2, h3, h4, h5, p) {
	color: var(--neutral-05);
}

h6 {
	color: var(--neutral-50);
}

h1 {
	font-style: normal;
	font-weight: 600;
	font-size: 3rem;
}

h2 {
	font-style: normal;
	font-weight: 600;
	font-size: 2.6rem;
}

h3 {
	font-style: normal;
	font-weight: bold;
	font-size: 2.2rem;
}

h4 {
	font-style: normal;
	font-weight: bold;
	font-size: 1.8rem;
}

h5 {
	font-style: normal;
	font-weight: bold;
	font-size: 1.4rem;
}

h6 {
	font-style: normal;
	font-weight: bold;
	font-size: 1rem;
}

:where(p, div),
p a {
	font-style: normal;
	font-weight: normal;
	font-size: 1.6rem;
	// line-height: 3.2rem;
}

/* Color Styles */
:root {
	--primary-color: #2374e0;

	--neutral-100: #15191c;
	--neutral-90: #1d232a;
	--neutral-80: #2c343a;
	--neutral-50: #95999c;
	--neutral-20: #d5d5d5;
	--neutral-10: #e7e7e7;
	--neutral-05: #f3f3f3;
	--neutral-white: #ffffff;
	--colorful-red: #f83636;
	--colorful-green: #1ab060;
	--colorful-yellow: #ffbd2e;

	--background-lightdark: #29292e;
	--background-dark: #1d1e20;
	--background-darkest: #151517;
}
